> For the complete documentation index, see [llms.txt](https://docs.ak4y.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ak4y.com/scripts/ak4y-tattooeditor/installation.md).

# Installation

{% hint style="warning" %}
This script requires ak4y-core to work. Please download it from your portal (cfxre, keymaster).
{% endhint %}

### 1. Unzip the downloaded file.

### 2. Move the script file to your resources folder.

### 3. Read the .sql file in the file to the database.

### 4. Configure the script to your own specifications.

{% hint style="info" %}
Don't forget add these lines into your server.cfg
{% endhint %}

```
#[tattoos] must be started before ak4y-tattooEditor
ensure [tattoos]
ensure ak4y-tattooEditor

add_ace resource.ak4y-tattooEditor command.refresh allow
add_ace resource.ak4y-tattooEditor command.ensure allow
add_ace resource.ak4y-tattooEditor command.start allow
add_ace resource.ak4y-tattooEditor command.stop allow
```

{% hint style="info" %}
Inside your resources folder, create a directory named: \[tattoos]

This step is optional but highly recommended for better resource organization.
{% endhint %}

{% hint style="danger" %}
After the 1.0.3 UPDATE!
{% endhint %}

* All tattoos will now be available in a single resource so you may experience issues on some servers; if you have problem with new version, please use version 1.0.2.
* To migrate your old tattoos to the new system, type **"migrateOldVersionTattoos"** in the live console.
* You need start **"tattoos"** before the script. (Before \[tattoos], now tattoos)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ak4y.com/scripts/ak4y-tattooeditor/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
